Publish Item
1 min
PUT
https://api.upstartcommerce.com/v1/catalog/{catalogItemId}/action/makelive
catalogItemIdstringUnique identifier for a catalog item.
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
200<p>Success-the current version of the asset was made live.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
curl --request PUT \
--url https://api.upstartcommerce.com/v1/catalog/{catalogItemId}/action/makelive \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'